Translation

Update translations via CSV file upload.

Uploads a CSV file to update translations.

POST
/api/v2/translations/csv-update

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/translations/csv-update" \  -F file="string" \  -F projectId="6" \  -F languageId="2"
{  "message": {    "updated": 3,    "ignored": 3  }}
{  "errors": {    "file": "File is required."  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}